API referenceCounterparty
POST /api/Counterparty/GetByTypes
An array of counterparty types should be passed in the request body, and the API returns the Counterparties holding any of them. Each Counterparty is returned once, and its counterPartyTypes lists all of its types.
POST
/api/Counterparty/GetByTypescurl -X POST "/api/Counterparty/GetByTypes" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": [
1
]
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
dataenum<integer>[] | nullOne of:1234567891011121314151617181920212223242526272829303132333435363738
Response
application/json
A list of Counterparties.
successbooleanrecordCountinteger<int32>dataEtrmApiGateway.DTOs.BackOffice.CounterPartyDto[] | null
{
"success": true,
"recordCount": 0,
"data": [
{
"id": 0,
"legalName": "string",
"shortName": "string",
"address": "string",
"municipality": "string",
"zipCode": "string",
"countryId": 1,
"country": "string",
"phone": "string",
"vat": "string",
"glAccount": "string",
"taxOffice": "string",
"isActive": true,
"swiftBic": "string",
"comments": "string",
"eic": "string",
"selfBilling": 1,
"selfBillingName": "string",
"externalId": "string",
"creditShortTermRating": 0,
"creditShortTermRatingName": "string",
"creditLongTermRating": 0,
"creditLongTermRatingName": "string",
"numberOfLinkedDocuments": 0,
"registryAccount": "string",
"counterPartyTypes": [
{
"id": 0,
"name": "string"
}
],
"counterPartyTimeseries": [
{
"timeseriesId": 0,
"timeseriesName": "string",
"timeseriesUnitOfMeasurement": 0,
"timeseriesUnitOfMeasurementName": "string",
"timeseriesSource": "string",
"timeseriesGranularity": 0,
"timeseriesGranularityName": "string",
"counterPartyId": 0,
"validityOrder": 0,
"counterPartyTimeseriesTypeId": 0,
"counterPartyTimeseriesTypeName": "string"
}
],
"customFieldValues": [
{
"customFieldId": 0,
"customFieldName": "string",
"customFieldType": 1,
"validFrom": "2026-01-15T09:30:00Z",
"value": "string"
}
],
"createdAt": "2026-01-15T09:30:00Z",
"modifiedAt": "2026-01-15T09:30:00Z"
}
]
}